/**
 * Copyright &copy; 2012-2016 <a href="https://github.com/thinkgem/jeesite">JeeSite</a> All rights reserved.
 */
package com.wechat.model.dto;

import java.math.BigDecimal;
import java.util.Date;

import javax.annotation.Resource;

import com.wechat.common.utils.BaseUtils;
import com.wechat.service.CommonService;

/**
 * 单表生成Entity
 * 
 * @author jadyn.wu
 * @version 2019-06-6
 */
public class ShowOfJobsDto  {
	@Resource
	private CommonService commonService;

	private Integer jobId; // 职位ID（自增）

	private String publisher; // 发布者(用户code)

	private String jobName; // 职位名称

	private Integer positionId; // 职位类别（职位信息表code）
	
	private String addProvinceName; //  省名称
	
	private String positionName; //  岗位标准名称
	
	private String abbreviation; //  岗位名称缩写
	
	private String addCityName; // 市名称
	
	private String addAreaName; //  区名称

	private String addDetail; // 工作地点详细地址

	private String workExperience; // 工作经验（字典表对应code）

	private String education; // 学历（字典表管理，以数值表示）

	private String jobDescribe; // 职位描述
	
	private String shareJob; //分享用职位id

	private String jobRequirement;  //职位要求
	
	private BigDecimal payFrom; // 薪资From
	
	private BigDecimal payTo; // 薪资To
	
	private Date createDate;

	public Integer getJobId() {
		return jobId;
	}

	public void setJobId(Integer jobId) {
		this.jobId = jobId;
	}

	public String getPublisher() {
		return publisher;
	}

	public void setPublisher(String publisher) {
		this.publisher = publisher;
	}

	public String getJobName() {
		return jobName;
	}

	public void setJobName(String jobName) {
		this.jobName = jobName;
	}

	public Integer getPositionId() {
		return positionId;
	}

	public void setPositionId(Integer positionId) {
		this.positionId = positionId;
	}

	public String getAddProvinceName() {
		return addProvinceName;
	}

	public void setAddProvinceName(String addProvinceName) {
		this.addProvinceName = addProvinceName;
	}

	public String getAddCityName() {
		return addCityName;
	}

	public void setAddCityName(String addCityName) {
		this.addCityName = addCityName;
	}

	public String getAddAreaName() {
		return addAreaName;
	}

	public void setAddAreaName(String addAreaName) {
		this.addAreaName = addAreaName;
	}

	public String getAddDetail() {
		return addDetail;
	}

	public void setAddDetail(String addDetail) {
		this.addDetail = addDetail;
	}


	public String getWorkExperience() {
		return workExperience;
	}

	public void setWorkExperience(String workExperience) {
		this.workExperience = workExperience;
	}

	public String getEducation() {
		return education;
	}

	public void setEducation(String education) {
		this.education = education;
	}

	public String getJobDescribe() {
		return jobDescribe;
	}

	public void setJobDescribe(String jobDescribe) {
		this.jobDescribe = jobDescribe;
	}

	public String getJobRequirement() {
		return jobRequirement;
	}

	public void setJobRequirement(String jobRequirement) {
		this.jobRequirement = jobRequirement;
	}

	public String getPositionName() {
		return positionName;
	}

	public void setPositionName(String positionName) {
		this.positionName = positionName;
	}

	public String getAbbreviation() {
		return abbreviation;
	}

	public void setAbbreviation(String abbreviation) {
		this.abbreviation = abbreviation;
	}

	public String getShareJob() {
		return shareJob;
	}

	public void setShareJob(String shareJob) {
		this.shareJob = shareJob;
	}

	public Date getCreateDate() {
		return createDate;
	}

	public void setCreateDate(Date createDate) {
		this.shareJob = BaseUtils.getShareJob(createDate,jobId);
	}

	public BigDecimal getPayFrom() {
		return payFrom;
	}

	public void setPayFrom(BigDecimal payFrom) {
		this.payFrom = payFrom;
	}

	public BigDecimal getPayTo() {
		return payTo;
	}

	public void setPayTo(BigDecimal payTo) {
		this.payTo = payTo;
	}

}